Skip to main content
PUT
/
api
/
users
/
{userId}
Update a user
curl --request PUT \
  --url https://api.example.com/api/users/{userId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "roles": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
import requests

url = "https://api.example.com/api/users/{userId}"

payload = {
"firstName": "<string>",
"lastName": "<string>",
"roles": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
roles: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};

fetch('https://api.example.com/api/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "jsmith@example.com",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "isService": true,
  "roles": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>"
    }
  ]
}

Path Parameters

userId
string<uuid>
required

Unique identifier of the user to update

Body

application/json
firstName
string

Updated first name

lastName
string

Updated last name

status
enum<string>

Updated user status

Available options:
active,
disabled,
locked
type
enum<string>

Updated user type

Available options:
invited,
member,
author,
admin,
owner
roles
string<uuid>[]

List of role IDs to assign to the user

Role ID

Response

200 - application/json

The updated user

The updated user

id
string<uuid>
required

Unique identifier of the user

email
string<email>
required

Email address of the user

type
enum<string>
required

User type/role within the organisation

Available options:
invited,
member,
author,
admin,
owner
status
enum<string>
required

Current status of the user account

Available options:
active,
disabled,
locked
createdAt
string
required

Timestamp when the user was created

updatedAt
string
required

Timestamp when the user was last updated

firstName
string | null

First name of the user

lastName
string | null

Last name of the user

isService
boolean

Whether this is a service account

roles
object[]

Roles assigned to the user